[Deprecated]: V15.0
put
/ec-designer-svc/rest/v15.0/studies/{studyId}/versions/{version}/forms/{formId}
Deprecated: Use latest version instead. Updates a form in the requested study version. Use `/v17.0/studies/{studyId}/versions/{version}/forms/{formId}` for active update behavior.
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Supported Media Types
- application/json
Root Schema : FormDto v15.0
Type:
objectTitle:
FormDto v15.0Form Info
Show Source
-
assignedVisits: array
assignedVisits
branch cycle information describing the visits on which the forms are displayed
-
dynamic: integer
(int32)
Count of forms items that point to this form for Show Form featureExample:
4 -
formType: string
Allowed Values:
[ "STANDARD_FORM", "LAB_FORM", "TWO_SECTION_FORM", "DRUG_RECONCILIATION_FORM", "STANDARD_FORM, LAB_FORM, TWO_SECTION_FORM" ]Form typeExample:STANDARD_FORM -
hasRevision: boolean
Indicate whether any revisions from a newer study version have been appliedExample:
true -
id: string
(uuid)
Form Unique GUID
-
items: array
items
-
linkFrom: array
linkFrom
linked from forms
-
refname(required): string
Minimum Length:
1Maximum Length:64Form refnameExample:FORM_01 -
repeat: boolean
Form repeating?Example:
false -
showFrom: array
showFrom
show dynamic parent from forms of same visit
-
source: object
FormCopySourceDto v15.0
Title:
FormCopySourceDto v15.0Form Copy Source Information -
title(required): string
Minimum Length:
1Maximum Length:64Form titleExample:Demography -
versionStart: string
(date-time)
The form's version date
Nested Schema : assignedVisits
Type:
arraybranch cycle information describing the visits on which the forms are displayed
Show Source
-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information
Nested Schema : linkFrom
Type:
arraylinked from forms
Show Source
-
Array of:
object FormLinkFromDto v15.0
Title:
FormLinkFromDto v15.0Linked From Form Details
Nested Schema : showFrom
Type:
arrayshow dynamic parent from forms of same visit
Show Source
-
Array of:
object FormLinkFromDto v15.0
Title:
FormLinkFromDto v15.0Linked From Form Details
Nested Schema : FormCopySourceDto v15.0
Type:
objectTitle:
FormCopySourceDto v15.0Form Copy Source Information
Show Source
-
FormId: string
(uuid)
Source Form GUID
-
id: string
(uuid)
Source Study GUID
-
StudyTitle: string
Source Study titleExample:
Study-s1 -
versionstart: boolean
is Rules CopiedExample:
false
Nested Schema : From Item Advanced Property With Parent v15.0
Type:
objectTitle:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
(uuid)
parent object ID
-
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v15.0
Title:
From Item Advanced Property Rule v15.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v15.0
Type:
objectTitle:
From Item Advanced Property Rule v15.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormItemDto v15.0
Type:
objectTitle:
FormItemDto v15.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v15.0
Title:
FormNumberItemDto v15.0Form Number Item Details Information -
object
FormChoiceItemDto v15.0
Title:
FormChoiceItemDto v15.0Form Choice Item Details Information -
object
FormTextItemDto v15.0
Title:
FormTextItemDto v15.0Form text Item Details Information -
object
FormDatetimeItemDto v15.0
Title:
FormDatetimeItemDto v15.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v15.0
Title:
FormQuestionGroupItemDto v15.0Form Question Group Item Details Information -
object
FormTableItemDto v15.0
Title:
FormTableItemDto v15.0Form table Item Details Information -
object
FormLabelItemDto
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property v15.0
Title:
From Item Advanced Property v15.0Form Item Advanced Property
Nested Schema : dataClassificationIds
Type:
Show Source
array-
Array of:
object From Item Advanced Property v15.0
Title:
From Item Advanced Property v15.0Form Item Advanced Property
Nested Schema : FormNumberItemDto v15.0
Type:
objectTitle:
FormNumberItemDto v15.0Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormNumberItemDto v15.0-allOf[1]
Nested Schema : FormChoiceItemDto v15.0
Type:
objectTitle:
FormChoiceItemDto v15.0Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormChoiceItemDto v15.0-allOf[1]
Nested Schema : FormTextItemDto v15.0
Type:
objectTitle:
FormTextItemDto v15.0Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormTextItemDto v15.0-allOf[1]
Nested Schema : FormDatetimeItemDto v15.0
Type:
objectTitle:
FormDatetimeItemDto v15.0Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormDatetimeItemDto v15.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v15.0
Type:
objectTitle:
FormQuestionGroupItemDto v15.0Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information
Nested Schema : FormTableItemDto v15.0
Type:
objectTitle:
FormTableItemDto v15.0Form table Item Details Information
Match All
Form table Item Details Information
Form table Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormTableItemDto v15.0-allOf[1]
Nested Schema : FormLabelItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v16.0
Title:
FormItemDto v16.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov16", "numeric":"#/components/schemas/FormNumberItemDtov16", "measurement":"#/components/schemas/FormNumberItemDtov16", "text":"#/components/schemas/FormTextItemDtov16", "choice":"#/components/schemas/FormChoiceItemDtov16", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov16", "table":"#/components/schemas/FormTableItemDtov16", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormLabelItemDto-allOf[1]
Nested Schema : From Item Advanced Property v15.0
Type:
objectTitle:
From Item Advanced Property v15.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v15.0
Title:
From Item Advanced Property Rule v15.0Form Item Advanced Property Rule
Nested Schema : FormNumberItemDto v15.0-allOf[1]
Type:
Show Source
object-
precision: integer
(int32)
Minimum Value:
0Number value precisionExample:1 -
units: string
Units of measureExample:
kg
Nested Schema : FormChoiceItemDto v15.0-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v15.0
Title:
FormOptionDto v15.0Form choice item option details
Nested Schema : FormOptionDto v15.0
Type:
objectTitle:
FormOptionDto v15.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormTextItemDto v15.0-allOf[1]
Type:
Show Source
object-
maxlength: integer
(int32)
Minimum Value:
0Maximum Value:4000Form text item max lengthExample:4000 -
multiline: boolean
Is form text item multilineExample:
false
Nested Schema : FormDatetimeItemDto v15.0-allOf[1]
Type:
Show Source
object-
allowPartialDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow partial dateExample:1 -
format: string
Date time formatExample:
DD-MON-YYYY -
partialDate: string
Partial date formatExample:
Jan-1993
Nested Schema : FormItemDto v16.0
Type:
objectTitle:
FormItemDto v16.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v16.0
Title:
FormNumberItemDto v16.0Form Number Item Details Information -
object
FormChoiceItemDto v16.0
Title:
FormChoiceItemDto v16.0Form Choice Item Details Information -
object
FormTextItemDto v16.0
Title:
FormTextItemDto v16.0Form text Item Details Information -
object
FormDatetimeItemDto v16.0
Title:
FormDatetimeItemDto v16.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v16.0
Title:
FormQuestionGroupItemDto v16.0Form Question Group Item Details Information -
object
FormTableItemDto v16.0
Title:
FormTableItemDto v16.0Form table Item Details Information -
object
FormLabelItemDto
Nested Schema : FormLabelItemDto-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v16.0
Title:
From Item Advanced Property With Parent v16.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v16.0
Title:
FormOptionDto v16.0Form choice item option details
Nested Schema : From Item Advanced Property With Parent v16.0
Type:
objectTitle:
From Item Advanced Property With Parent v16.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
(uuid)
parent object ID
-
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v16.0
Title:
From Item Advanced Property Rule v16.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v16.0
Type:
objectTitle:
From Item Advanced Property Rule v16.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormOptionDto v16.0
Type:
objectTitle:
FormOptionDto v16.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormLinkFromDto v15.0
Type:
objectTitle:
FormLinkFromDto v15.0Linked From Form Details
Show Source
-
formId: string
(uuid)
Form GUID
-
items: array
items
Form items
-
parentAssignedVisits: array
parentAssignedVisits
Parent Assigned Visits
Nested Schema : items
Type:
arrayForm items
Show Source
-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Nested Schema : parentAssignedVisits
Type:
arrayParent Assigned Visits
Show Source
-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : FormDto v15.0
Type:
objectTitle:
FormDto v15.0Form Info
Show Source
-
assignedVisits: array
assignedVisits
branch cycle information describing the visits on which the forms are displayed
-
dynamic: integer
(int32)
Count of forms items that point to this form for Show Form featureExample:
4 -
formType: string
Allowed Values:
[ "STANDARD_FORM", "LAB_FORM", "TWO_SECTION_FORM", "DRUG_RECONCILIATION_FORM", "STANDARD_FORM, LAB_FORM, TWO_SECTION_FORM" ]Form typeExample:STANDARD_FORM -
hasRevision: boolean
Indicate whether any revisions from a newer study version have been appliedExample:
true -
id: string
(uuid)
Form Unique GUID
-
items: array
items
-
linkFrom: array
linkFrom
linked from forms
-
refname(required): string
Minimum Length:
1Maximum Length:64Form refnameExample:FORM_01 -
repeat: boolean
Form repeating?Example:
false -
showFrom: array
showFrom
show dynamic parent from forms of same visit
-
source: object
FormCopySourceDto v15.0
Title:
FormCopySourceDto v15.0Form Copy Source Information -
title(required): string
Minimum Length:
1Maximum Length:64Form titleExample:Demography -
versionStart: string
(date-time)
The form's version date
Nested Schema : assignedVisits
Type:
arraybranch cycle information describing the visits on which the forms are displayed
Show Source
-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information
Nested Schema : linkFrom
Type:
arraylinked from forms
Show Source
-
Array of:
object FormLinkFromDto v15.0
Title:
FormLinkFromDto v15.0Linked From Form Details
Nested Schema : showFrom
Type:
arrayshow dynamic parent from forms of same visit
Show Source
-
Array of:
object FormLinkFromDto v15.0
Title:
FormLinkFromDto v15.0Linked From Form Details
Nested Schema : FormCopySourceDto v15.0
Type:
objectTitle:
FormCopySourceDto v15.0Form Copy Source Information
Show Source
-
FormId: string
(uuid)
Source Form GUID
-
id: string
(uuid)
Source Study GUID
-
StudyTitle: string
Source Study titleExample:
Study-s1 -
versionstart: boolean
is Rules CopiedExample:
false
Nested Schema : From Item Advanced Property With Parent v15.0
Type:
objectTitle:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
(uuid)
parent object ID
-
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v15.0
Title:
From Item Advanced Property Rule v15.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v15.0
Type:
objectTitle:
From Item Advanced Property Rule v15.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormItemDto v15.0
Type:
objectTitle:
FormItemDto v15.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v15.0
Title:
FormNumberItemDto v15.0Form Number Item Details Information -
object
FormChoiceItemDto v15.0
Title:
FormChoiceItemDto v15.0Form Choice Item Details Information -
object
FormTextItemDto v15.0
Title:
FormTextItemDto v15.0Form text Item Details Information -
object
FormDatetimeItemDto v15.0
Title:
FormDatetimeItemDto v15.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v15.0
Title:
FormQuestionGroupItemDto v15.0Form Question Group Item Details Information -
object
FormTableItemDto v15.0
Title:
FormTableItemDto v15.0Form table Item Details Information -
object
FormLabelItemDto
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property v15.0
Title:
From Item Advanced Property v15.0Form Item Advanced Property
Nested Schema : dataClassificationIds
Type:
Show Source
array-
Array of:
object From Item Advanced Property v15.0
Title:
From Item Advanced Property v15.0Form Item Advanced Property
Nested Schema : FormNumberItemDto v15.0
Type:
objectTitle:
FormNumberItemDto v15.0Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormNumberItemDto v15.0-allOf[1]
Nested Schema : FormChoiceItemDto v15.0
Type:
objectTitle:
FormChoiceItemDto v15.0Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormChoiceItemDto v15.0-allOf[1]
Nested Schema : FormTextItemDto v15.0
Type:
objectTitle:
FormTextItemDto v15.0Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormTextItemDto v15.0-allOf[1]
Nested Schema : FormDatetimeItemDto v15.0
Type:
objectTitle:
FormDatetimeItemDto v15.0Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormDatetimeItemDto v15.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v15.0
Type:
objectTitle:
FormQuestionGroupItemDto v15.0Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information
Nested Schema : FormTableItemDto v15.0
Type:
objectTitle:
FormTableItemDto v15.0Form table Item Details Information
Match All
Form table Item Details Information
Form table Item Details Information
Show Source
-
object
FormItemDto v15.0
Title:
FormItemDto v15.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov15", "numeric":"#/components/schemas/FormNumberItemDtov15", "measurement":"#/components/schemas/FormNumberItemDtov15", "text":"#/components/schemas/FormTextItemDtov15", "choice":"#/components/schemas/FormChoiceItemDtov15", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov15", "table":"#/components/schemas/FormTableItemDtov15", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormTableItemDto v15.0-allOf[1]
Nested Schema : FormLabelItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v16.0
Title:
FormItemDto v16.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov16", "numeric":"#/components/schemas/FormNumberItemDtov16", "measurement":"#/components/schemas/FormNumberItemDtov16", "text":"#/components/schemas/FormTextItemDtov16", "choice":"#/components/schemas/FormChoiceItemDtov16", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov16", "table":"#/components/schemas/FormTableItemDtov16", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormLabelItemDto-allOf[1]
Nested Schema : From Item Advanced Property v15.0
Type:
objectTitle:
From Item Advanced Property v15.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v15.0
Title:
From Item Advanced Property Rule v15.0Form Item Advanced Property Rule
Nested Schema : FormNumberItemDto v15.0-allOf[1]
Type:
Show Source
object-
precision: integer
(int32)
Minimum Value:
0Number value precisionExample:1 -
units: string
Units of measureExample:
kg
Nested Schema : FormChoiceItemDto v15.0-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v15.0
Title:
FormOptionDto v15.0Form choice item option details
Nested Schema : FormOptionDto v15.0
Type:
objectTitle:
FormOptionDto v15.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormTextItemDto v15.0-allOf[1]
Type:
Show Source
object-
maxlength: integer
(int32)
Minimum Value:
0Maximum Value:4000Form text item max lengthExample:4000 -
multiline: boolean
Is form text item multilineExample:
false
Nested Schema : FormDatetimeItemDto v15.0-allOf[1]
Type:
Show Source
object-
allowPartialDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow partial dateExample:1 -
format: string
Date time formatExample:
DD-MON-YYYY -
partialDate: string
Partial date formatExample:
Jan-1993
Nested Schema : FormItemDto v16.0
Type:
objectTitle:
FormItemDto v16.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v16.0
Title:
FormNumberItemDto v16.0Form Number Item Details Information -
object
FormChoiceItemDto v16.0
Title:
FormChoiceItemDto v16.0Form Choice Item Details Information -
object
FormTextItemDto v16.0
Title:
FormTextItemDto v16.0Form text Item Details Information -
object
FormDatetimeItemDto v16.0
Title:
FormDatetimeItemDto v16.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v16.0
Title:
FormQuestionGroupItemDto v16.0Form Question Group Item Details Information -
object
FormTableItemDto v16.0
Title:
FormTableItemDto v16.0Form table Item Details Information -
object
FormLabelItemDto
Nested Schema : FormLabelItemDto-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v16.0
Title:
From Item Advanced Property With Parent v16.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v16.0
Title:
FormOptionDto v16.0Form choice item option details
Nested Schema : From Item Advanced Property With Parent v16.0
Type:
objectTitle:
From Item Advanced Property With Parent v16.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
(uuid)
parent object ID
-
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v16.0
Title:
From Item Advanced Property Rule v16.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v16.0
Type:
objectTitle:
From Item Advanced Property Rule v16.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormOptionDto v16.0
Type:
objectTitle:
FormOptionDto v16.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormLinkFromDto v15.0
Type:
objectTitle:
FormLinkFromDto v15.0Linked From Form Details
Show Source
-
formId: string
(uuid)
Form GUID
-
items: array
items
Form items
-
parentAssignedVisits: array
parentAssignedVisits
Parent Assigned Visits
Nested Schema : items
Type:
arrayForm items
Show Source
-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Nested Schema : parentAssignedVisits
Type:
arrayParent Assigned Visits
Show Source
-
Array of:
object From Item Advanced Property With Parent v15.0
Title:
From Item Advanced Property With Parent v15.0Form Item Advanced Property with Parent Info
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.